use super::sys;

pub fn set_draw_color(idx: u16) {
    unsafe { *sys::DRAW_COLORS = idx.into() }
}

pub fn set_palette(palette: [u32; 4]) {
    unsafe {
        *sys::PALETTE = palette;
    }
}

pub fn en4() {
    set_palette([0xfbf7f3, 0xe5b083, 0x426e5d, 0x20283d]);
}

pub fn amanita() {
    set_palette([0xf1eee3, 0xccc2b8, 0xb34750, 0x4d0f40]);
}

pub fn cafe_nouveau() {
    set_palette([0xf8e6d0, 0xc08e70, 0x683a34, 0x200816]);
}

pub fn coldfire() {
    set_palette([0x46425e, 0x5b768d, 0xd17c7c, 0xf6c6a8]);
}

pub fn warmlight() {
    set_palette([0xffd191, 0x66605c, 0x211e20, 0xff924f]);
}

pub fn moonlight() {
    set_palette([0xf3eaab, 0x86a0b7, 0x3d476a, 0x19152a]);
}

pub fn t_lollipop() {
    set_palette([0xe6f2ef, 0xf783b0, 0x3f6d9e, 0x151640]);
}
